Package org.apache.nutch.fetcher

## Class FetchNodeDb

- java.lang.Object
- - org.apache.nutch.fetcher.FetchNodeDb

-     public class FetchNodeDb
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FetchNodeDb()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<Integer,​FetchNode>` | `getFetchNodeDb()` |
    `static FetchNodeDb` | `getInstance()` |
    `void` | `put​(String url, FetchNode fetchNode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FetchNodeDb

          public FetchNodeDb()

  - ### Method Detail

    - #### getInstance

          public static FetchNodeDb getInstance()

    - #### put

          public void put​(String url,
                          FetchNode fetchNode)

    - #### getFetchNodeDb

          public Map<Integer,​FetchNode> getFetchNodeDb()